commit e1bff945b4763a3353e94e6dedaa297253b3a542
Author: freddy77 <freddy77>
Date:   Tue Dec 9 09:39:13 2008 +0000

    optimize link using gcc4

diff --git a/ChangeLog b/ChangeLog
index 04afb1c..5f3705b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Tue Dec 09 10:38:07 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/hmac_md5.h include/tds.h include/tdsconvert.h:
+	* src/tds/tds_checks.h:
+	- optimize link using gcc4
+
 Fri Dec 05 09:31:29 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/putdata.c: improve
 
@@ -1006,4 +1011,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2670 2008/12/05 08:32:47 freddy77 Exp $
+$Id: ChangeLog,v 1.2671 2008/12/09 09:39:13 freddy77 Exp $
diff --git a/include/hmac_md5.h b/include/hmac_md5.h
index e06c778..3999b44 100644
--- a/include/hmac_md5.h
+++ b/include/hmac_md5.h
@@ -20,10 +20,16 @@
 #ifndef _hmac_md5_h_
 #define _hmac_md5_h_
 
-/* $Id: hmac_md5.h,v 1.1 2008/07/30 08:02:54 freddy77 Exp $ */
+/* $Id: hmac_md5.h,v 1.2 2008/12/09 09:39:14 freddy77 Exp $ */
 
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility push(hidden)
+#endif
 void hmac_md5(const unsigned char key[16],
               const unsigned char* data, size_t data_len,
               unsigned char* digest);
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility pop
+#endif
 
 #endif
diff --git a/include/tds.h b/include/tds.h
index ab897b6..79b3d29 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.299 2008/11/07 16:25:52 freddy77 Exp $ */
+/* $Id: tds.h,v 1.300 2008/12/09 09:39:14 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -40,6 +40,10 @@ typedef struct tds_socket TDSSOCKET;
 #include "tds_sysdep_private.h"
 #endif /* _FREETDS_LIBRARY_SOURCE */
 
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility push(hidden)
+#endif
+
 #ifdef __cplusplus
 extern "C"
 {
@@ -1535,7 +1539,13 @@ unsigned int tds_gettime_ms(void);
 /* log.c */
 void tdsdump_off(void);
 void tdsdump_on(void);
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility pop
+#endif
 int tdsdump_open(const char *filename);
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility push(hidden)
+#endif
 void tdsdump_close(void);
 void tdsdump_dump_buf(const char* file, unsigned int level_line, const char *msg, const void *buf, int length);
 void tdsdump_col(const TDSCOLUMN *col);
@@ -1606,4 +1616,8 @@ TDSAUTHENTICATION * tds_gss_get_auth(TDSSOCKET * tds);
 }
 #endif
 
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility pop
+#endif
+
 #endif /* _tds_h_ */
diff --git a/include/tdsconvert.h b/include/tdsconvert.h
index a6c444a..449f826 100644
--- a/include/tdsconvert.h
+++ b/include/tdsconvert.h
@@ -20,6 +20,10 @@
 #ifndef _tdsconvert_h_
 #define _tdsconvert_h_
 
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility push(hidden)
+#endif
+
 #ifdef __cplusplus
 extern "C"
 {
@@ -28,7 +32,7 @@ extern "C"
 #endif
 #endif
 
-/* $Id: tdsconvert.h,v 1.23 2006/04/15 08:18:44 freddy77 Exp $ */
+/* $Id: tdsconvert.h,v 1.24 2008/12/09 09:39:14 freddy77 Exp $ */
 
 typedef union conv_result
 {
@@ -96,4 +100,8 @@ size_t tds_strftime(char *buf, size_t maxsize, const char *format, const TDSDATE
 }
 #endif
 
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility pop
+#endif
+
 #endif /* _tdsconvert_h_ */
diff --git a/src/tds/tds_checks.h b/src/tds/tds_checks.h
index 2811cc3..0d50055 100644
--- a/src/tds/tds_checks.h
+++ b/src/tds/tds_checks.h
@@ -20,7 +20,10 @@
 #ifndef TDS_CHECKS_H
 #define TDS_CHECKS_H
 
-/* $Id: tds_checks.h,v 1.3 2007/06/19 13:31:34 freddy77 Exp $ */
+/* $Id: tds_checks.h,v 1.4 2008/12/09 09:39:14 freddy77 Exp $ */
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility push(hidden)
+#endif
 
 #if ENABLE_EXTRA_CHECKS
 #define CHECK_STRUCT_EXTRA(func,s) func(s)
@@ -50,4 +53,7 @@ int tds_get_cardinal_type(int datatype);
 int tds_get_varint_size(TDSSOCKET * tds, int datatype);
 #endif
 
+#if defined(__GNUC__) && __GNUC__ >= 4
+#pragma GCC visibility pop
+#endif
 #endif /* TDS_CHECKS_H */

